﻿using System.Windows.Forms;

namespace RTB
{
   using System;
   using System.Drawing;

   public partial class Form1 : Form
   {
      private Random random;

      public Form1()
      {
         InitializeComponent();

         MyTextBox.Text = "Первый абзац\n" +
                          "Второй абзац\n" +
                          "Третий абзац\n";

         random = new Random();
      }

      private void OnFormatClick(object sender, EventArgs e)
      {
         var additionalText = "Новый абзац\n";

         var start = MyTextBox.Text.Length;
         var length = additionalText.Length;

         MyTextBox.AppendText(additionalText);

         MyTextBox.Select(start, length);
         MyTextBox.SelectionColor = Color.FromArgb(random.Next(256), random.Next(256), random.Next(256));
      }
   }
}
